﻿<%@ Control Language="vb" AutoEventWireup="false" CodeBehind="cxlsexporttekstil.ascx.vb" Inherits="ASPNetPortal.cxlsexporttekstil" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>


<div class="pageXlsImport">
    <div class="dataForm">
        <div class="row">
            <div class="colTwo">
                <div class="alert"><%=GetGlobalResourceObject("admin", "ExcelIntegrationMsg1")%></div>
                <div class="alert alert-info">
                    <%=GetGlobalResourceObject("admin", "UserExcelMsg1")%>
                    <asp:HyperLink ID="showGalleryButton" runat="server" CssClass="textRed" NavigateUrl="javascript:BrowseServer();" Text="<%$ Resources:admin,Gallery %>"></asp:HyperLink>
                </div>
                <div class="row">
                    <div class="colOne">
                        <label><%=GetGlobalResourceObject("admin", "SelectFile")%> :</label>
                        <asp:DropDownList ID="ddlexcelfile" runat="server"></asp:DropDownList>
                    </div>
                    <div class="row">
                        <div class="colOne">
                            <div class="checkList">
                                <ul>
                                    <li>
                                        <label class="labelInput">
                                            <asp:CheckBox ID="chkUpdateName" runat="server" Text="<%$ Resources:admin,UpdateProductName %>" />
                                        </label>
                                    </li>
                                    <li>
                                        <label class="labelInput">
                                            <asp:CheckBox ID="chkUpdateCodes" runat="server" Text="<%$ Resources:admin,ProductSpecialCodesUpdate %>" />
                                        </label>
                                    </li>
                                    <li>
                                        <label class="labelInput">
                                            <asp:CheckBox ID="chkUpdateDetails" runat="server" Text="<%$ Resources:admin,ProductDetailUpdate %>" />
                                        </label>
                                    </li>
                                    <li>
                                        <label class="labelInput">
                                            <asp:CheckBox ID="chkupdatekeywords" runat="server" Text="<%$ Resources:admin,SearchYourWordsUpdate %>" />
                                        </label>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    <div class="buttonGroup">
                        <asp:UpdatePanel ID="UpdatePanel1" runat="server" UpdateMode="Always">
                            <ContentTemplate>
                                <asp:Timer ID="Timer1" runat="server" Interval="1000"></asp:Timer>
                                <div class="buttonGroup">
                                    <asp:Button ID="btnImport" runat="server" CssClass="btnDefault" Text="<%$ Resources:admin,UserExcelMsg9 %>" />
                                    <asp:Button ID="btnStop" runat="server" CssClass="btnDefault" Text="<%$ Resources:admin,ExcelIntegrationStop %>" />
                                </div>
                                <asp:Label ID="lblImportMsg" Visible="false" CssClass="alert" runat="server"></asp:Label>
                                <asp:Label ID="lblErrorMsg" Visible="false" CssClass="alert" runat="server"></asp:Label>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </div>
                </div>
            </div>
            <div class="colTwo">
                <div class="alert">Kategorilerdeki Ürünleri Excel'e Aktar</div>
                <div class="alert alert-success" id="divalert" runat="server" visible="false">
                    <asp:Label ID="lblExportMsg" runat="server"></asp:Label>
                    <asp:HyperLink ID="lnkDowload" runat="server" CssClass="textRed" Visible="False" Target="_blank"><%=GetGlobalResourceObject("admin", "FileDownload")%></asp:HyperLink>
                </div>
                <div class="row">
                    <div class="colOne">
                        <div class="colBtn" style="position: relative;">
                            <label>
                                <asp:Label ID="Label6" runat="server"><%= GetGlobalResourceObject("admin", "ExcelIntegrationCategory")%>: </asp:Label></label>
                            <label class="labelInput" style="width: 100%;">
                                <cc1:PopupControlExtender runat="server" ID="pce1" PopupControlID="divprices" Position="Bottom" TargetControlID="lblClick"></cc1:PopupControlExtender>
                                <a id="lblClick" runat="server" class="txtRed" style="cursor: pointer;"><i class="fa fa-pencil"></i>&nbsp;<span id="spnLabels">Tüm Kategoriler</span></a></label>
                            <div id="divprices" runat="server">
                                <style type="text/css">
                                    #divprices input,
                                    #divprices label {
                                        display: inline-block;
                                        margin-right: 15px;
                                    }
                                </style>
                                <label class="labelInput" style="height: inherit; width: inherit;">
                                    <asp:CheckBoxList runat="server" ID="chkcategorieslist" onclick="chkcategorieslist_onclick()"></asp:CheckBoxList>
                                </label>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="buttonGroup">
                    <asp:Button ID="btnExport" runat="server" CssClass="btnDefault" Text="<%$ Resources:admin,CreateProductList %>" />
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
	jQuery(document).ready(function () {

		chkcategorieslist_onclick()

	});
	function chkcategorieslist_onclick() {

		$("#spnLabels").text("");

		var labels = "";

		$("#<%= chkcategorieslist.ClientID %> input:checkbox:checked").each(function () {
        	var label = $('label[for=' + this.id + ']').html();

        	labels += label + ", ";
        });

        labels = labels.substring(0, labels.length - 2);

        if (labels.length == 0) {
        	labels = "Tüm Kategoriler";
        }

        $("#spnLabels").text(labels);
	}

</script>
